org.eclipse.incquery.runtime.evm.api.resolver

## Class ScopedConflictSet

- java.lang.Object
- - org.eclipse.incquery.runtime.evm.api.resolver.ScopedConflictSet

- All Implemented Interfaces:
    ConflictSet

      public class ScopedConflictSet
      extends java.lang.Object
      implements ConflictSet

  Author:
    Abel Hegedus

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IActivationNotificationListener` | `listener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopedConflictSet(RuleBase ruleBase, ConflictResolver conflictResolver, com.google.common.collect.Multimap<RuleSpecification<?>,EventFilter<?>> specificationFilters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `java.util.Set<Activation<?>>` | `getConflictingActivations()`
    `ConflictResolver` | `getConflictResolver()`
    `Activation<?>` | `getNextActivation()`
    `java.util.Set<Activation<?>>` | `getNextActivations()`
    `com.google.common.collect.Multimap<RuleSpecification<?>,EventFilter<?>>` | `getSpecificationFilters()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### listener

          public IActivationNotificationListener listener

  - ### Constructor Detail

    - #### ScopedConflictSet

          public ScopedConflictSet(RuleBase ruleBase,
                                   ConflictResolver conflictResolver,
                                   com.google.common.collect.Multimap<RuleSpecification<?>,EventFilter<?>> specificationFilters)

  - ### Method Detail

    - #### getSpecificationFilters

          public com.google.common.collect.Multimap<RuleSpecification<?>,EventFilter<?>> getSpecificationFilters()

      Returns:
        the specificationFilters

    - #### dispose

          public void dispose()

    - #### getNextActivation

          public Activation<?> getNextActivation()

      Specified by:
        `getNextActivation` in interface `ConflictSet`
      Returns:
        the next activation chosen by the resolver

    - #### getNextActivations

          public java.util.Set<Activation<?>> getNextActivations()

      Specified by:
        `getNextActivations` in interface `ConflictSet`
      Returns:
        the set of activations that are considered as equal by the resolver

    - #### getConflictingActivations

          public java.util.Set<Activation<?>> getConflictingActivations()

      Specified by:
        `getConflictingActivations` in interface `ConflictSet`
      Returns:
        the set of all activations that are in conflict (all enabled activations)

    - #### getConflictResolver

          public ConflictResolver getConflictResolver()

      Specified by:
        `getConflictResolver` in interface `ConflictSet`